Bug 1015470 - RBAC: Large parts of the access constraints are invalid in the UI
RBAC: Large parts of the access constraints are invalid in the UI
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ER5
: EAP 6.2.0
Assigned To: Heiko Braun
Jakub Cechacek
Russell Dickenson
: Regression
Depends On: 1015498
Blocks: eap62-beta-blockers
  Show dependency treegraph
 
Reported: 2013-10-04 06:46 EDT by Jakub Cechacek
Modified: 2013-12-15 11:20 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:20:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-248 Blocker Resolved Error parsing security meta data 2013-11-21 18:16:27 EST

  None (edit)
Description Jakub Cechacek 2013-10-04 06:46:07 EDT
Control elements such as button are missing on page Administration - Role Assignment for all types of roles when authenticated as administrator. This is making the whole functionality unavailable to this role.

Even though role management is still available to superuser it might cause problems to customer as this role is usually not granted. 


Steps to reproduce:
1) Login as Administrator
2) Navigate to Administration - Role Assignment


expected result: You should see control elements
actual result: Control elements are missing
Comment 1 Jakub Cechacek 2013-10-04 07:11:07 EDT
This issue is a regression against ER3 build
Comment 3 JBoss JIRA Server 2013-10-04 09:10:28 EDT
Heiko Braun <ike.braun@googlemail.com> updated the status of jira HAL-248 to Resolved
Comment 4 Heiko Braun 2013-10-04 09:35:33 EDT
The previous title was " [Regression] Administrator is unable to manage Role Assignment due to missing control elements". But that was misleading.
Comment 10 Jakub Cechacek 2013-10-08 06:20:06 EDT
Verified EAP 6.2.0.ER5

Note You need to log in before you can comment on or make changes to this bug.